'use strict';

var Unibabel = (module.exports = {
	utf8ToBinaryString: function(utf8) {
		return Buffer.from(utf8, 'utf8').toString('binary');
	},
	utf8ToBuffer: function(utf8) {
		return Buffer.from(utf8, 'utf8');
	},
	utf8ToBase64: function(utf8) {
		return Buffer.from(utf8, 'utf8').toString('base64');
	},
	binaryStringToUtf8: function(bin) {
		return Buffer.from(bin, 'binary').toString('utf8');
	},
	bufferToUtf8: function(buf) {
		return Buffer.from(buf).toString('utf8');
	},
	base64ToUtf8: function(b64) {
		return Buffer.from(b64, 'base64').toString('utf8');
	},
	bufferToBinaryString: function(buf) {
		return Buffer.from(buf).toString('binary');
	},
	bufferToBase64: function(buf) {
		return Buffer.from(buf).toString('base64');
	},
	binaryStringToBuffer: function(bin) {
		return Buffer.from(bin, 'binary');
	},
	base64ToBuffer: function(b64) {
		return Buffer.from(b64, 'base64');
	},
	hexToBuffer: function(hex) {
		return Buffer.from(hex, 'hex');
	},
	bufferToHex: function(buf) {
		return Buffer.from(buf).toString('hex');
	},
	bufferToBase32: function(buf) {
		Unibabel.bufferToBase32 = require('./base32.js').bufferToBase32;
		return Unibabel.bufferToBase32(buf);
	},
	base32ToBuffer: function(b32) {
		Unibabel.base32ToBuffer = require('./base32.js').base32ToBuffer;
		return Unibabel.base32ToBuffer(b32);
	}
});

/*
var data = 'I ½ ♥ 💩';
var encoding = 'utf8';
var buf = new Buffer(data, encoding);
buf.toString('hex');
buf.toString('base64');
buf.toString('ascii');
buf.toString('utf8');
buf.toString('binary'); // deprecated, do not use

var Base32 = require('thirty-two');
var b32 = Base32.encode(buf);
Base32.decode(buf);
*/
